%define fontdir         %{_datadir}/fonts/wenquanyi-unibit
%define catalogue       %{_sysconfdir}/X11/fontpath.d

Name: wqy-unibit-fonts
Summary: WenQuanYi Unibit Bitmap Font
Version: 1.1.0
Release: 4%{?dist}
# for font embedding exception please see
# http://www.gnu.org/licenses/gpl-faq.html#FontException
License: GPLv2 with exceptions
URL: http://wqy.sourceforge.net/en/
Group: User Interface/X
Source: http://downloads.sourceforge.net/wqy/wqy-unibit-bdf-%{version}-1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
BuildRequires: bdftopcf, mkfontdir

%description
The Wen Quan Yi Unibit is designed as a dual-width (16x16,16x8) 
bitmap font to provide the most complete international symbol 
coverage, serving as the system-wide fall-back font. This font 
has covered over 46000 Unicode code points in BMP.
It is intended to supersede the outdated GNU Unifont.
This font was created by merging the latest update of GNU 
Unifont [GPL] (by Roman Czyborra and David Starner et al., the 
font was last updated in 2004), WenQuanYi Bitmap Song [GPL] 
0.8.1 (by Qianqian Fang and WenQuanYi contributors) and 
Fixed-16x8 [public domain] bitmap fonts from X11 core fonts. 
The entire CJK Unified Ideographics (U4E00-U9FA5) and CJK Unified 
Ideographics Extension A(U3400-U4DB5) blocks were replaced by 
high-quality glyphs from China National Standard GB19966-2005 
(public domain). Near a thousand of non-CJK characters were improved by 
WenQuanYi contributors via their collaborative font editing website at
http://wenq.org/eindex.cgi?Unicode_Chart_EN

%prep
%setup -q -n wqy-unibit

%build
make

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}%{fontdir}
install -p -m644 *.pcf  %{buildroot}%{fontdir}/

# Install catalogue symlink
mkdir -p %{buildroot}%{catalogue}
ln -sf %{fontdir} %{buildroot}%{catalogue}/%{name}

%{_bindir}/mkfontdir %{buildroot}%{fontdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%dir %{fontdir}
%{fontdir}/*.pcf
%verify(not md5 size mtime) %{fontdir}/fonts.dir
%{catalogue}/%{name}

%post
if [ -x %{_bindir}/fc-cache ]; then
  %{_bindir}/fc-cache %{_datadir}/fonts
fi

%postun
if [ "$1" = "0" ]; then
  if [ -x %{_bindir}/fc-cache ]; then
    %{_bindir}/fc-cache %{_datadir}/fonts
  fi
fi

%changelog
*Sun Sep 30 2007 Qianqian Fang <fangqq@gmail.com> 1.1.0-4
- more spec file clean up

*Thu Sep 27 2007 Qianqian Fang <fangqq@gmail.com> 1.1.0-3
- change install directory to /usr/share/fonts/wenquanyi-unibit/

*Tue Sep 25 2007 Qianqian Fang <fangqq@gmail.com> 1.1.0-2
- change install directory to /usr/share/fonts/wqy-unibit/

*Fri Sep 14 2007 Qianqian Fang <fangqq@gmail.com> 1.1.0-1
- add more than 80 new glyphs between 0xFF00-0xFFFD, totaling 46443 glyphs

*Tue Sep 11 2007 Qianqian Fang <fangqq@gmail.com> 1.0.0-3
- remove non-ascii character from README, update upstream tarball

*Tue Sep 11 2007 Qianqian Fang <fangqq@gmail.com> 1.0.0-2
- change package name from wqy-unibit to wqy-unibit-fonts
- follow the new guideline for F8, use font catalogue symlink (#252279)

*Sun Sep 9 2007 Qianqian Fang <fangqq@gmail.com> 1.0.0-1
- initial release of the font
- initial packaging for Fedora (#285561)
